## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core
Class RefreshEditModelJob

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.core.internal.jobs.InternalJob
              org.eclipse.core.runtime.jobs.Job
                  org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.RefreshEditModelJob

All Implemented Interfaces:
  java.lang.Comparable, org.eclipse.core.runtime.IAdaptable

    public class RefreshEditModelJob

extends org.eclipse.core.runtime.jobs.Job

To refresh the edit model and re-display them in the schema object editor. It will delegate to `ISchemaObjectEditorHandler` to do the real job.

Author:
  Idull

Field Summary

Fields inherited from class org.eclipse.core.runtime.jobs.Job
`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

Constructor Summary
`RefreshEditModelJob(java.lang.String name, ISchemaObjectEditorHandler handler)`

Method Summary

Methods inherited from class org.eclipse.core.runtime.jobs.Job
`addJobChangeListener, belongsTo, cancel, done, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, removeJobChangeListener, schedule, schedule, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, wakeUp, wakeUp`

Methods inherited from class org.eclipse.core.internal.jobs.InternalJob
`compareTo, toString`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### RefreshEditModelJob

    public RefreshEditModelJob(java.lang.String name,
                               ISchemaObjectEditorHandler handler)